resource "kubernetes_cluster_role" "aws_alb_cluster_role" {
  metadata {
    name = "aws-alb-svc-acc"
  }

  rule {
    api_groups     = ["rbac.authorization.k8s.io/v1beta1", "rbac.authorization.k8s.io", "extensions"]
    resources      = ["configmaps", "namespaces", "pods", "services", "nodes", "ingresses", "secrets"]
    resource_names = [""]
    verbs          = ["get", "list", "watch", "create", "patch", "delete"]
  }
}

resource "kubernetes_cluster_role_binding" "aws_alb_cluster_role_bind" {
  metadata {
    name = "aws-alb-svc-acc"
  }

  role_ref {
    api_group = "rbac.authorization.k8s.io"
    kind      = "ClusterRole"
    name      = "cluster-admin"
  }

  subject {
    kind      = "ServiceAccount"
    name      = "aws-alb-svc-acc"
    namespace = "kube-system"
    api_group = ""
  }

  subject {
    kind      = "Group"
    name      = "system:serviceaccount"
    api_group = "rbac.authorization.k8s.io"
  }
}
